<!-- eslint-disable vuejs-accessibility/click-events-have-key-events -->
<template>
  <div class="deleted-message">
    <SystemMessage>
      {{ $t('messaged_deleted') }}
    </SystemMessage>

    <span
      v-if="hideRestoreBtn === false"
      class="restore-btn"
      @click="$emit('restore')"
    >
      {{ $t('cancel') }}
    </span>
  </div>
</template>

<script setup lang="ts">
import { SystemMessage } from '@/shared/ui';

defineProps({
  hideRestoreBtn: {
    type: Boolean,
    default: false,
  },
});

defineEmits<{
  (event: 'restore'): void;
}>();
</script>

<style scoped lang="scss">
.restore-btn {
  margin-left: 12px;
  cursor: pointer;
  color: rgb(var(--j-primary-color));

  &:hover {
    text-decoration: underline;
  }
}
</style>
